<?php

namespace STM\Template;

/**
 * Test class for Template.
 * Generated by PHPUnit on 2011-11-12 at 21:05:03.
 * @group template
 */
class TemplateTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;
    private $template;

    protected function setUp() {
        $this->bad_values = array(
            '', null, false, array(), new \Exception(), 'a', '12345678901234567890123456789012345',
            'aa aaaaa', 'aaaaaaa?', 'aaaaaaa*', 'aaaaaaa;', 'aaaaaaa{', 'aaaaaaa}', 'aaaaaaa\\', 'aaaaaaa/'
        );
        $this->template = Template::findByName('change_stm', STM_ADMIN_TEMPLATE_ROOT . 'settings/');
    }

    public function testFind_by_name() {
        foreach ($this->bad_values as $value) {
            $this->assertFalse(Template::findByName($value, $value));
        }
    }

    public function testExists_template() {
        // same as testFind_by_name
    }

    public function testDelete() {
        // cannot be tested
    }

    public function testGet_content() {
        $this->assertTrue(is_string($this->template->getContent()));
    }
    
    public function testGet_full_path() {
        $this->assertTrue(is_string($this->template->getFullPath()));                        
    }

    public function test__toString() {
        $this->assertTrue(is_string($this->template->__toString()));
    }
}

?>
